gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-deployment] branch master updated: exchange key setup


From: gnunet
Subject: [taler-deployment] branch master updated: exchange key setup
Date: Wed, 06 Jan 2021 13:25:54 +0100

This is an automated email from the git hooks/post-receive script.

dold pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 917e6f5  exchange key setup
917e6f5 is described below

commit 917e6f5025f53ae4fa785c84d70d306dd31de2e3
Author: Florian Dold <florian@dold.me>
AuthorDate: Wed Jan 6 13:25:50 2021 +0100

    exchange key setup
---
 bin/taler-deployment-prepare | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/bin/taler-deployment-prepare b/bin/taler-deployment-prepare
index 0a255aa..6390446 100755
--- a/bin/taler-deployment-prepare
+++ b/bin/taler-deployment-prepare
@@ -97,6 +97,33 @@ taler-auditor-exchange \
 # Make configuration accessible to auditor
 chmod 750 "$HOME/.config"
 
+
+##
+## Step 3: Set up the exchange key material
+##
+
+# Quickly start+shutdown exchange httpd and crypto SM helpers
+taler-deployment-arm -i taler-exchange
+taler-deployment-arm -i taler-helper-crypto-rsa
+taler-deployment-arm -i taler-helper-crypto-eddsa
+sleep 2 # FIXME: poll keys?
+if ! taler-deployment-arm -I | grep "^taler-exchange" | grep "status=started" 
> /dev/null; then
+    echo "Exchange didn't start, cannot set up keys"
+    exit 1
+fi
+
+taler-exchange-offline download sign upload
+
+payto_uri=$(taler-config -s exchange-account-1 -o payto_uri)
+taler-exchange-offline enable-account "$payto_uri" upload
+
+# Set up wire fees for next 5 years
+year=$(date +%Y)
+curr=$TALER_CONFIG_CURRENCY
+for y in $(seq $year $((year + 5))); do
+  taler-exchange-offline wire-fee $y x-taler-bank "$CURR:0.01" "$CURR:0.01"
+done
+
 ##
 ## Step 4:  Set up the bank
 ##

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]